Package oracle.nosql.driver.ops

# Enum TableResult.State

java.lang.Object
java.lang.Enum<TableResult.State>
oracle.nosql.driver.ops.TableResult.State

All Implemented Interfaces:
  `Serializable`, `Comparable<TableResult.State>`, `java.lang.constant.Constable`

Enclosing class:
  TableResult

public static enum TableResult.State extends Enum<TableResult.State>
The current state of the table

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  The table is ready to be used.
  `CREATING`
  The table is being created and cannot yet be used
  `DROPPED`
  The table has been dropped or does not exist
  `DROPPING`
  The table is being dropped and cannot be used
  `UPDATING`
  The table is being updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableResult.State`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TableResult.State[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACTIVE

    public static final TableResult.State ACTIVE
    The table is ready to be used. This is the steady state after creation or modification.

  - ### CREATING

    public static final TableResult.State CREATING
    The table is being created and cannot yet be used

  - ### DROPPED

    public static final TableResult.State DROPPED
    The table has been dropped or does not exist

  - ### DROPPING

    public static final TableResult.State DROPPING
    The table is being dropped and cannot be used

  - ### UPDATING

    public static final TableResult.State UPDATING
    The table is being updated. It is available for normal use, but additional table modification operations are not permitted while the table is in this state.

- ## Method Details

  - ### values

    public static TableResult.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TableResult.State valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null